object StringGridEdForm: TStringGridEdForm
  Left = 0
  Top = 0
  BiDiMode = bdLeftToRight
  BorderIcons = [biSystemMenu, biMaximize]
  Caption = 'rStringGridEd Demo'
  ClientHeight = 512
  ClientWidth = 839
  Color = clBtnFace
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  ParentBiDiMode = False
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object rHTMLLabel1: TrHTMLLabel
    Left = 0
    Top = 0
    Width = 839
    Height = 123
    Align = alTop
    Color = clInfoBk
    ParentColor = False
    Transparent = False
    CaptionStrings.Strings = (
      
        '<B>rStringGridEd is enhanced StringGrid component which provides' +
        ' following functionality:</B>'
      
        '- introduce Columns property for setting and storing of properti' +
        'es for each column '
      
        '- provides new types of editors - text with multiline support, R' +
        'ichText, Checkbox, DatePicker, DropDown, DropDownColorList, Chec' +
        'kDropDownList, Ellipsis button'
      '- each column has definable Datatype, NumFormat, MinMax values'
      
        '- introduces events for getting properties for each cell individ' +
        'ually - DataType, EditorStyle, CanEdit, NumFormat'
      '- introduces events for pick listbox modification and own draw'
      
        '- provides Clipboard support with range selection and drag and d' +
        'rop support'
      '- introduces AutoAddNewLine and AutoRowHeight functions'
      '- and many more...')
    InnerSpace = 2
    ExplicitWidth = 780
  end
  object rStringGridEd1: TrStringGridEd
    Left = 0
    Top = 123
    Width = 839
    Height = 255
    Align = alClient
    ColCount = 16
    Ctl3D = True
    DefaultColWidth = 25
    DefaultRowHeight = 19
    DefaultDrawing = False
    DoubleBuffered = True
    DrawingStyle = gdsGradient
    RowCount = 2
    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goColSizing, goEditing, goFixedColClick, goFixedRowClick, goFixedHotTrack]
    ParentCtl3D = False
    ParentDoubleBuffered = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 0
    OptionsEx = [dgSelectRange, dgEditArrowKeyMoveCell, dgColorChangedCells, dgSortAfterTitleClick]
    Columns = <
      item
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 25
      end
      item
        Font.Charset = EASTEUROPE_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'Tahoma'
        Font.Style = [fsBold]
        ParentFont = False
        TitleCaption = 'Text'
        WordWrap = True
        TitleWordWrap = True
        Width = 70
      end
      item
        ButtonStyle = sgbCheckbox
        CheckBoxDblClick = True
        TitleCaption = 'Check box'
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 43
      end
      item
        ButtonStyle = sgbDateTimePicker
        DataType = sgdDate
        TitleCaption = 'Date Picker'
        TitleAlignment = taCenter
        Width = 93
      end
      item
        DataType = sgdInteger
        MinValue = -100.000000000000000000
        MaxValue = 100.000000000000000000
        InvalidDataAction = sgaBeep
        OutOfLimitDataColor = clMaroon
        Alignment = taRightJustify
        TitleCaption = 'Integer  -100..100'
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 65
      end
      item
        DataType = sgdNumber
        NumFormat = '0.00'
        Alignment = taRightJustify
        TitleCaption = 'Number'
        TitleAlignment = taCenter
        TitleWordWrap = True
      end
      item
        ButtonStyle = sgbDropDown
        PickList.Strings = (
          'Apple'
          'Pear'
          'Plum'
          'Cherry'
          'Strawberry'
          'lobg long long long long long long ')
        TitleCaption = 'Pick List'
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 71
        OnDropDownDrawItemEvent = rStringGridEd1Columns2DropDownDrawItemEvent
        OnDropDownMeasureItemEvent = rStringGridEd1Columns2DropDownMeasureItemEvent
        OnDropDownGetSize = rStringGridEd1Columns2DropDownGetSize
      end
      item
        ButtonStyle = sgbDropDownColor
        DropDownListCanDelete = True
        TitleCaption = 'Color selection'
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 88
      end
      item
        ButtonStyle = sgbEllipsis
        Color = clMoneyGreen
        TitleCaption = 'Ellipsis Button'
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 77
      end
      item
        ButtonStyle = sgbEllipsis
        TitleCaption = 'Own Ellipsis'
        TitleAlignment = taCenter
        Width = 76
      end
      item
        ButtonStyle = sgbDropDownCheckList
        PickList.Strings = (
          '1'
          '2'
          '3'
          '4'
          '5'
          'X'
          'Y'
          'Z'
          'all')
        TitleCaption = 'CheckList'
        TitleAlignment = taCenter
      end
      item
        DataType = sgdDataBar
        Alignment = taCenter
        TitleCaption = 'Data bar'
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 55
      end
      item
        DataType = sgdStatusBar
        TitleCaption = 'Status bar1'
        TitleAlignment = taCenter
        TitleWordWrap = True
        StatusBar.IconType = sbtSignalStrength
        Width = 57
      end
      item
        DataType = sgdStatusBar
        TitleCaption = 'Status bar2'
        TitleAlignment = taCenter
        TitleWordWrap = True
        StatusBar.ColorAll = clSilver
        StatusBar.ColorDone = clGreen
        Width = 51
      end
      item
        DataType = sgdStatusBar
        TitleCaption = 'Pie'
        TitleAlignment = taCenter
        StatusBar.Steps = 8
        StatusBar.ColorAll = 14869218
        StatusBar.ColorDone = clRed
        StatusBar.IconType = sbtPie
        Width = 51
      end
      item
        ButtonStyle = sgbButton
        TitleCaption = 'Cell button'
        TitleAlignment = taCenter
        TitleWordWrap = True
        Width = 61
      end>
    InnerMargin = 2
    TitleRowHeight = 35
    AutoRowHeight = True
    AutoAddNewRow = True
    OnEllipsisClicked = rStringGridEd1EllipsisClicked
    OnGetCellParams = rStringGridEd1GetCellParams
    OnGetEllipsisButtonFormat = rStringGridEd1GetEllipsisButtonFormat
    ExplicitWidth = 852
    ExplicitHeight = 249
    ColWidths = (
      25
      70
      43
      93
      65
      64
      71
      88
      77
      76
      64
      55
      57
      51
      51
      61)
    RowHeights = (
      35
      19)
  end
  object gbBottom: TrGroupBox
    Left = 0
    Top = 378
    Width = 839
    Height = 134
    Align = alBottom
    TabOrder = 1
    FrameType = ftNone
    CaptionHeight = 0
    ExplicitTop = 484
    ExplicitWidth = 1053
    object rGroupBox1: TrGroupBox
      Left = 173
      Top = 0
      Width = 666
      Height = 134
      Align = alClient
      Caption = 
        'Select range of cells and copy or paste content (copy to Excel o' +
        'r Paste from Excel)'
      TabOrder = 0
      ExplicitLeft = 0
      ExplicitTop = 372
      ExplicitWidth = 852
      ExplicitHeight = 129
      object ImgTest: TImage
        Left = 640
        Top = 28
        Width = 16
        Height = 16
        AutoSize = True
        Picture.Data = {
          07544269746D6170F6000000424DF60000000000000076000000280000001000
          0000100000000100040000000000800000000000000000000000100000000000
          0000000000000000800000800000008080008000000080008000808000008080
          8000C0C0C0000000FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFF
          FF00FFFFFFFFFFFFFFFFFF77777777777FFFFF78888888887FFFFF7888888888
          7FFFFF78484848487FFFFF78888888887FFFFF78484848487FFFFF7888888888
          7FFFFF78484848487FFFFF78888888887FFFFF78888888887FFFFF78EEEEEE88
          7FFFFF78EEEEEE887FFFFF78888888887FFFFF77777777777FFFFFFFFFFFFFFF
          FFFF}
        Transparent = True
        Visible = False
      end
      object Memo1: TMemo
        Left = 163
        Top = 24
        Width = 298
        Height = 97
        ScrollBars = ssVertical
        TabOrder = 0
        WordWrap = False
        OnDragDrop = Memo1DragDrop
        OnDragOver = Memo1DragOver
      end
      object btCopy: TButton
        Left = 9
        Top = 24
        Width = 144
        Height = 25
        Caption = 'Copy selection from Grid'
        TabOrder = 1
        OnClick = btCopyClick
      end
      object btPaste: TButton
        Left = 9
        Top = 56
        Width = 144
        Height = 25
        Caption = 'Paste text to Grid'
        TabOrder = 2
        OnClick = btPasteClick
      end
      object btXLSExport: TButton
        Left = 8
        Top = 96
        Width = 145
        Height = 25
        Caption = 'Export to XLS'
        TabOrder = 3
        OnClick = btXLSExportClick
      end
      object btResetChangeLog: TButton
        Left = 472
        Top = 24
        Width = 157
        Height = 25
        Caption = 'Reset changes'
        TabOrder = 4
        OnClick = btResetChangeLogClick
      end
      object btPrint: TButton
        Left = 474
        Top = 93
        Width = 75
        Height = 25
        Caption = 'Print'
        TabOrder = 5
        OnClick = btPrintClick
      end
      object btPrintDirect: TButton
        Left = 554
        Top = 93
        Width = 75
        Height = 25
        Caption = 'PrintDirect'
        TabOrder = 6
        OnClick = btPrintDirectClick
      end
    end
    object rGroupBox2: TrGroupBox
      Left = 0
      Top = 0
      Width = 173
      Height = 134
      Align = alLeft
      Caption = 'Setting'
      TabOrder = 1
      ExplicitLeft = 144
      ExplicitTop = 12
      ExplicitHeight = 161
      object chAutoAdd: TCheckBox
        Left = 16
        Top = 24
        Width = 109
        Height = 17
        Caption = 'Auto Add New Row'
        Checked = True
        State = cbChecked
        TabOrder = 0
        OnClick = chAutoAddClick
      end
      object chColorLast: TCheckBox
        Left = 16
        Top = 44
        Width = 121
        Height = 17
        Caption = 'Color last empty row'
        Checked = True
        State = cbChecked
        TabOrder = 1
        OnClick = chColorLastClick
      end
      object chColorChanged: TCheckBox
        Left = 16
        Top = 64
        Width = 121
        Height = 17
        Caption = 'Color changed cells'
        Checked = True
        State = cbChecked
        TabOrder = 2
        OnClick = chColorChangedClick
      end
      object chAutoRowHeight: TCheckBox
        Left = 16
        Top = 84
        Width = 109
        Height = 17
        Caption = 'Auto row height'
        Checked = True
        State = cbChecked
        TabOrder = 3
        OnClick = chAutoRowHeightClick
      end
      object chRichText: TCheckBox
        Left = 16
        Top = 104
        Width = 137
        Height = 17
        Caption = 'Column1 as RichText'
        TabOrder = 4
        OnClick = chRichTextClick
      end
    end
  end
end
