unit dm_data;

interface

uses
  SysUtils, Classes, Dialogs, Forms, Controls,
  rDBComponents_UDB, DB,
  IBCustomDataSet, IBQuery, IBDatabase;

type
  TDMData = class(TDataModule)
    Con1: TConnectionUDB;
    qProducts: TQueryUDB;
    qCfgFldLabels: TQueryUDB;
    IBTransaction1: TIBTransaction;
    qProductsPRODUCTID: TIntegerField;
    qProductsPRODUCTNAME: TIBStringField;
    qProductsCATEGORYID: TIntegerField;
    qProductsVALIDFROM: TDateField;
    qProductsDISCONTINUED: TSmallintField;
    qProductsPRICE: TFloatField;
    qProductsSTOCKLEVEL: TIBStringField;
    qProductsPACKAGE: TIBStringField;
    qProductsPICTURE: TBlobField;
    qProductsMEMO: TWideMemoField;
    qCfgFldLabelsFIELD_LABEL_ID: TIntegerField;
    qCfgFldLabelsTABLE_NAME: TIBStringField;
    qCfgFldLabelsFIELD_NAME: TIBStringField;
    qCfgFldLabelsDISPLAY_LABEL_EN: TIBStringField;
    qCfgFldLabelsDISPLAY_LABEL_CZ: TIBStringField;
    qCfgFldLabelsREQUIRED: TSmallintField;
    qCfgFldLabelsDISPLAY_FORMAT: TIBStringField;
    qCfgFldLabelsEDIT_FORMAT: TIBStringField;
    qCfgFldLabelsAUTO_ADDED: TSmallintField;
  private
    u, p: string;
  public
    function TryConnect: boolean;
  end;

var
  DMData: TDMData;

implementation

{$R *.dfm}

uses rstring, rdlg, rtool, dm_auxdata, f_products, f_categoriesedit,
  f_stockleveledit;

function TDMData.TryConnect: boolean;
begin
  Result:=false;
  Con1.Close;
  Con1.DatabaseName:=GetAppDir + 'DB\DEMO.FDB';
  Con1.Params.Clear;
  if not rdlg.InputStr(sInput, 'User:', u) then
    Exit;
  Con1.Params.Add('user_name=' + u);
  if not rdlg.InputStr(sInput, 'Pasword:', p) then
    Exit;
  Con1.Params.Add('password=' + p);
  Con1.Open;
  Result:=Con1.Connected;
end;

end.
