unit dm_data;

interface

uses
  SysUtils, Classes, Dialogs, Controls, DB, ADODB, rDBGrid, rDBGridSorter_ADO,
  WideStrings, DBXFirebird, rDBGridSorter_DBX, SqlExpr, DBClient, SimpleDS,
  FMTBcd;

type
  TDMData = class(TDataModule)
    dsEmp: TDataSource;
    dsLookupProducts: TDataSource;
    dsCust: TDataSource;
    dsProducts: TDataSource;
    dsEmpSum3: TDataSource;
    dsEmpSum2: TDataSource;
    dsEmpSum1: TDataSource;
    dsCategories: TDataSource;
    dsProdCatMatch: TDataSource;
    dsEmpList: TDataSource;
    dsValDef: TDataSource;
    dsOrders: TDataSource;
    dsOrderDetails: TDataSource;
    DBCon: TSQLConnection;
    rDBGridSorter: TrDBGridSorter_DBX;
    qEmp: TSimpleDataSet;
    qEmpEMPLOYEEID: TIntegerField;
    qEmpLASTNAME: TStringField;
    qEmpFIRSTNAME: TStringField;
    qEmpTITLE: TStringField;
    qEmpTITLEOFCOURTESY: TStringField;
    qEmpBIRTHDATE: TDateField;
    qEmpHIREDATE: TDateField;
    qEmpPARTTIME: TSmallintField;
    qEmpADDRESS: TStringField;
    qEmpCITY: TStringField;
    qEmpREGION: TStringField;
    qEmpPOSTALCODE: TStringField;
    qEmpCOUNTRY: TStringField;
    qEmpHOMEPHONE: TStringField;
    qEmpEXTENSION: TStringField;
    qEmpPHOTO: TBlobField;
    qEmpNOTES: TMemoField;
    qEmpREPORTSTO: TIntegerField;
    qEmpSALARY: TFloatField;
    qCust: TSimpleDataSet;
    qCustCUSTOMERID: TStringField;
    qCustCOMPANYNAME: TStringField;
    qCustCONTACTNAME: TStringField;
    qCustCONTACTTITLE: TStringField;
    qCustADDRESS: TStringField;
    qCustCITY: TStringField;
    qCustREGION: TStringField;
    qCustPOSTALCODE: TStringField;
    qCustCOUNTRY: TStringField;
    qCustPHONE: TStringField;
    qCustFAX: TStringField;
    qCustEMAIL: TStringField;
    qCustWWW: TStringField;
    qCustACTIVE: TStringField;
    qLookupProducts: TSimpleDataSet;
    qLookupProductsPRODUCTID: TIntegerField;
    qLookupProductsPRODUCTNAME: TStringField;
    qLookupProductsSUPPLIERID: TIntegerField;
    qLookupProductsSupplier: TWideStringField;
    qLookupProductsCATEGORYID: TIntegerField;
    qLookupProductsCategory: TWideStringField;
    qLookupProductsQUANTITYPERUNIT: TStringField;
    qLookupProductsUNITSINSTOCK: TIntegerField;
    qLookupProductsUNITSONORDER: TIntegerField;
    qLookupProductsREORDERLEVEL: TIntegerField;
    qLookupProductsDISCONTINUED: TSmallintField;
    qLookupProductsSTOCKLEVEL: TStringField;
    qLookupProductsPRODUCTCOLOR: TStringField;
    qLookupProductsUNITPRICE: TFloatField;
    aqSuppliers: TSimpleDataSet;
    aqSuppliersSUPPLIERID: TIntegerField;
    aqSuppliersCOMPANYNAME: TStringField;
    aqSuppliersCONTACTNAME: TStringField;
    aqSuppliersCITY: TStringField;
    aqCategories: TSimpleDataSet;
    aqCategoriesCATEGORYID: TIntegerField;
    aqCategoriesCATEGORYNAME: TStringField;
    qProducts: TSimpleDataSet;
    qProductsPRODUCTID: TIntegerField;
    qProductsPRODUCTNAME: TStringField;
    qProductsSUPPLIERID: TIntegerField;
    qProductsCATEGORYID: TIntegerField;
    qProductsQUANTITYPERUNIT: TStringField;
    qProductsUNITSINSTOCK: TIntegerField;
    qProductsUNITSONORDER: TIntegerField;
    qProductsREORDERLEVEL: TIntegerField;
    qProductsDISCONTINUED: TSmallintField;
    qProductsSTOCKLEVEL: TStringField;
    qProductsPRODUCTCOLOR: TStringField;
    qProductsUNITPRICE: TFloatField;
    qEmpAdr: TSimpleDataSet;
    qEmpAdrADDR: TStringField;
    qEmpSum1: TSimpleDataSet;
    qEmpSum1EMPLOYEEID: TStringField;
    qEmpSum1LASTNAME: TIntegerField;
    qEmpSum1SALARY: TFloatField;
    qEmpSum2: TSimpleDataSet;
    qEmpSum2EMPLOYEEID: TStringField;
    qEmpSum2LASTNAME: TIntegerField;
    qEmpSum2SALARY: TFloatField;
    qEmpSum3: TSimpleDataSet;
    qEmpSum3SUMOFLASTNAME: TIntegerField;
    qEmpSum3SUMOFSALARY: TFloatField;
    qEmpSum3SUMOFPARTTIME: TLargeintField;
    qEmpSum3SUMOFCOUNTRY: TLargeintField;
    qEmpSum3SUMOFPHOTO: TLargeintField;
    qCategories: TSimpleDataSet;
    qCategoriesCATEGORYID: TIntegerField;
    qCategoriesCATEGORYNAME: TStringField;
    qProdCatMatch: TSimpleDataSet;
    qProdCatMatchPRODUCTID: TIntegerField;
    qProdCatMatchCATEGORYID: TIntegerField;
    qEmpList: TSimpleDataSet;
    qEmpListEMPLOYEEID: TIntegerField;
    qEmpListFULLNAME: TStringField;
    qTitleList: TSimpleDataSet;
    qTitleListTITLE: TStringField;
    qTitleCList: TSimpleDataSet;
    qTitleCListTITLEOFCOURTESY: TStringField;
    qValDef: TSimpleDataSet;
    qValDefVALUEID: TIntegerField;
    qValDefVALUENAME: TStringField;
    qValDefVALUEUNIT: TStringField;
    qMatValues: TSimpleDataSet;
    qMatValuesID: TIntegerField;
    qMatValuesMATERIALID: TIntegerField;
    qMatValuesNOTE: TMemoField;
    qMatValuesNUMVALUE: TFloatField;
    qMatValuesVALUEID: TIntegerField;
    qTemperatures: TSimpleDataSet;
    qTemperaturesTEMPERATURE: TIntegerField;
    qTempValues: TSimpleDataSet;
    qTempValuesID: TIntegerField;
    qTempValuesMATERIALID: TIntegerField;
    qTempValuesNUMVALUE: TFloatField;
    qTempValuesTEMPERATURE: TIntegerField;
    qTempValuesVALUEID: TIntegerField;
    qMax: TSQLQuery;
    qOrders: TSimpleDataSet;
    qOrdersORDERID: TIntegerField;
    qOrdersCUSTOMERID: TStringField;
    qOrdersEMPLOYEEID: TIntegerField;
    qOrdersORDERDATE: TDateField;
    qOrdersREQUIREDDATE: TDateField;
    qOrdersSHIPPEDDATE: TDateField;
    qOrdersSHIPVIA: TIntegerField;
    qOrdersSHIPNAME: TStringField;
    qOrdersSHIPADDRESS: TStringField;
    qOrdersSHIPCITY: TStringField;
    qOrdersSHIPREGION: TStringField;
    qOrdersSHIPPOSTALCODE: TStringField;
    qOrdersSHIPCOUNTRY: TStringField;
    qOrdersFREIGHT: TFloatField;
    qOrderDetails: TSimpleDataSet;
    qOrderDetailsORDERDETAILID: TIntegerField;
    qOrderDetailsORDERID: TIntegerField;
    qOrderDetailsPRODUCTID: TIntegerField;
    qOrderDetailsPRODUCTNAME: TStringField;
    qOrderDetailsUNITPRICE: TFloatField;
    qOrderDetailsQUANTITY: TIntegerField;
    qOrderDetailsDISCOUNT: TFloatField;
    qOrderDetailsPRICE: TFloatField;
    qEmpListTITLE: TStringField;
    qTreeData: TSimpleDataSet;
    dsTreeData: TDataSource;
    qEmpNOTESRTF: TMemoField;
    procedure qEmpAfterPost(DataSet: TDataSet);
    procedure qEmpAfterDelete(DataSet: TDataSet);
    procedure qEmpBeforeDelete(DataSet: TDataSet);
    procedure qMatValuesBeforePost(DataSet: TDataSet);
    procedure qTempValuesBeforePost(DataSet: TDataSet);
  private
  public
    AfterUpdate: TDataSetNotifyEvent;
    function DBConnect: string;
    procedure DBDisConnect;
    procedure ExecSQL(cmd: string);
    procedure SetQuery(DataSet: TDataSet; SQL: string);
    procedure SetQueryParam(DataSet: TDataSet; ParamName, ParamStr: string);
    procedure DoAfterUpdate(DataSet: TDataSet);
  end;

var
  DMData: TDMData;

implementation

{$R *.dfm}
uses rstring, rdlg, rtool, rdbtool;

const
  DefaultDB25 = 'data\DEMO.FDB';
  DefaultDB30 = 'data\DEMO30.FDB';
  // ConStr = 'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=';
  // ConStr = 'Provider=Microsoft.ACE.OLEDB.12.0;Data Source=';

function TDMData.DBConnect: string;
begin
  Result:='';
  DBDisConnect;
  try
    try
      DBCon.Params.Values['Database']:=GetAppDir + DefaultDB25;
      DBCon.Open;
    except
      DBCon.Params.Values['Database']:=GetAppDir + DefaultDB30;
      DBCon.Open;
    end;
    Result:=DBCon.Params.Values['Database'];
  except
    on E: exception do
      ShowErr(sError, E, true);
  end;
end;

procedure TDMData.DBDisConnect;
begin
  DBCon.Close;
end;

procedure TDMData.DoAfterUpdate(DataSet: TDataSet);
begin
  (Dataset as TSimpleDataSet).ApplyUpdates(0);
  if Assigned(AfterUpdate) then
    AfterUpdate(DataSet);
end;

procedure TDMData.ExecSQL(cmd: string);
begin
  DBCon.ExecuteDirect(cmd);
end;

procedure TDMData.SetQuery(DataSet: TDataSet; SQL: string);
begin
  DataSet.Close;
  (DataSet as TSimpleDataSet).DataSet.CommandText:=SQL;
end;

procedure TDMData.SetQueryParam(DataSet: TDataSet; ParamName: string; ParamStr: string);
begin
  DataSet.Close;
  (DataSet as TSimpleDataSet).DataSet.ParamByName(ParamName).AsString:=ParamStr;
end;

procedure TDMData.qEmpAfterPost(DataSet: TDataSet);
begin
  DoAfterUpdate(DataSet);
end;

procedure TDMData.qEmpAfterDelete(DataSet: TDataSet);
begin
  DoAfterUpdate(DataSet);
end;

procedure TDMData.qEmpBeforeDelete(DataSet: TDataSet);
begin
  if DlgQ(rstring.sDeleteQ) <> mrYes then
    Abort;
end;

procedure TDMData.qMatValuesBeforePost(DataSet: TDataSet);
begin
  // auto increment field on server side is not working for DBX, set ID manually
  qMax.Close;
  qMax.SQL.Text:='SELECT Max(ID) FROM MATERIALVALUES';
  qMax.Open;
  self.qMatValuesID.AsInteger:=qMax.Fields[0].AsInteger+1;
end;

procedure TDMData.qTempValuesBeforePost(DataSet: TDataSet);
begin
  // auto increment field on server side is not working for DBX, set ID manually
  qMax.Close;
  qMax.SQL.Text:='SELECT Max(ID) FROM TEMPERATUREVALUES';
  qMax.Open;
  self.qTempValuesID.AsInteger:=qMax.Fields[0].AsInteger+1;
end;

end.
